autofs-5.0.8 - fix fix ipv6 libtirpc getport

From: Ian Kent <raven@themaw.net>

Remove a duplicated case entry and remove redundant check, since it
can never be reached, in rpc_rpcb_getport().
---
 CHANGELOG      |    1 +
 lib/rpc_subs.c |    6 +-----
 2 files changed, 2 insertions(+), 5 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index 843c4ad..d8c994a 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -7,6 +7,7 @@
 - fix WITH_LIBTIRPC function name.
 - fix ipv6 libtirpc getport.
 - fix ipv6 link local address handling.
+- fix fix ipv6 libtirpc getport.
 
 17/10/2013 autofs-5.0.8
 =======================
diff --git a/lib/rpc_subs.c b/lib/rpc_subs.c
index 9d5b2f5..cfb63d2 100644
--- a/lib/rpc_subs.c
+++ b/lib/rpc_subs.c
@@ -524,7 +524,6 @@ static enum clnt_stat rpc_rpcb_getport(CLIENT *client,
 			if (rpcerr.re_vers.low > RPCBVERS4)
 				return status;
 			continue;
-		case RPC_PROCUNAVAIL:
 		case RPC_PROGUNAVAIL:
 			continue;
 		default:
@@ -533,10 +532,7 @@ static enum clnt_stat rpc_rpcb_getport(CLIENT *client,
 		}
 	}
 
-        if (s_port == 0)
-		return RPC_PROGNOTREGISTERED;
-
-        return RPC_PROCUNAVAIL;
+	return RPC_PROGNOTREGISTERED;
 }
 
 static enum clnt_stat rpc_getport(struct conn_info *info,
